Subject: Re: bug#43475: feature/native-comp; add a site-lisp path to comp-eln-load-path
From: Andrea Corallo <[email-masked]>
To: Ulrich Mueller <[email-masked]>
Cc: [email-masked], [email-masked], Andrea Corallo <[email-masked]>
Date: Mon, 05 Jun 2023 04:54:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Ulrich Mueller <[email-masked]> writes:

>>>>>> On Fri, 18 Sep 2020, Andrea Corallo wrote:
>
>> Tom Gillespie <[email-masked]> writes:
>
>>> Suggestions from the previous discussion are
>>> /usr/lib{,64}/emacs/site-eln and /usr/lib{,64}/emacs/site-lisp/eln.
>>> 
>>> If we want to mirror the way native-lisp is used for the system files
>>> then ${libdir}/emacs/site-lisp and ${libdir}/emacs/site-lisp/native-lisp
>>> are two other options.
>
>> I think ${libdir}/emacs/site-lisp/native-lisp would be probably more
>> future proof but I've no strong preference.
>
>> Ulrich what would be your suggestion for this?
>
> I'd prefer the shorter path. I believe it's very unlikely that there
> could be other files in future that would be both lisp and architecture
> dependent, i.e. that would be installed in ${libdir}/emacs/site-lisp/
> as well. In other words, the additional subdirectory level would be
> totally redundant.
>
> So, my suggestion would be either ${libdir}/emacs/site-lisp/ or
> ${libdir}/emacs/site-eln/ with a slight preference for the second.
>
> (Note that Gentoo would create another subdirectory when installing an
> add-on elisp package, so the path would be (for example)
> ${libdir}/emacs/site-eln/${package_name}/.)

Closing this very old bug still related to feature/native-comp as I
think ATM the interface we provide satisfies distro needs.  Happy to
reopen if more work is needed in this area.

Best Regards

  Andrea